summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh38
1 files changed, 3 insertions, 35 deletions
diff --git a/autogen.sh b/autogen.sh
index 76a7de0..29db9c9 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
#
# usage:
@@ -6,7 +6,6 @@
# banner <target name>
#
banner() {
-
echo
TG=`echo $1 | sed -e "s,/.*/,,g"`
LINE=`echo $TG |sed -e "s/./-/g"`
@@ -16,39 +15,8 @@ banner() {
echo
}
+banner "autoreconf"
-ACLOCAL=${ACLOCAL:=aclocal}
-AUTOHEADER=${AUTOHEADER:=autoheader}
-AUTOMAKE=${AUTOMAKE:=automake}
-AUTOCONF=${AUTOCONF:=autoconf}
-
-$ACLOCAL --version | \
- awk -vPROG="aclocal" -vVERS=1.7\
- '{if ($1 == PROG) {gsub ("-.*","",$4); if ($4 < VERS) print PROG" < version "VERS"\nThis may result in errors\n"}}'
-
-$AUTOMAKE --version | \
- awk -vPROG="automake" -vVERS=1.7\
- '{if ($1 == PROG) {gsub ("-.*","",$4); if ($4 < VERS) print PROG" < version "VERS"\nThis may result in errors\n"}}'
-
-
-banner "running libtoolize"
-libtoolize --force
-[ $? != 0 ] && exit
-
-banner "running aclocal"
-$ACLOCAL -I config/m4
-[ $? != 0 ] && exit
-
-banner "running autoheader"
-$AUTOHEADER
-[ $? != 0 ] && exit
-
-banner "running automake"
-$AUTOMAKE --gnu --add-missing -Wall
-[ $? != 0 ] && exit
-
-banner "running autoconf"
-$AUTOCONF -Wall
-[ $? != 0 ] && exit
+autoreconf --force --install --symlink -Wall || exit $?
banner "Finished"